Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.validator
Class ENLOCXBRLValidator

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.validator.XBRLValidator
          es.inteco.xbrl.lenlocpenloc.validator.ENLOCXBRLValidator

All Implemented Interfaces:
  IXBRLValidator

    public class ENLOCXBRLValidator

extends XBRLValidator

Clase que gestiona la validación de un documento XBRL contra las taxonomías LENLOC y PENLOC e incorpora traduccion a códigos ENLOC. Esta clase genera un resultado indicando si la validación ha sido correcta, para ello utiliza la clase ValidateResult, en la cual indica si la validación fue bien o no en cuyo caso informa de los errores de validación que se hayan encontrado. Es una extensión de la clase XBRLValidator, mediante la cual se hace un tratamiento diferente en la devolución de los errores. Dicho tratamiento consiste en añadir información de los códigos ENLOC que han podido ser traducidos, mediante la consulta a los mapas, de los conceptos de la taxonomía que puedan aparecer en los mensajes de error. El resto del tratamiento de errores es idéntico al realizado en la clase XBRLValidator.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`static IXBRLValidator` | `createInstance()` Devuelve una instancia de la propia clase.
`ValidateResult` | `validate(byte[] inputDocument)` Valida el documento XBRL contra la taxonomía sin procesar el resultado.
`ValidateResult` | `validate(java.lang.String documentPath)` Valida el documento XBRL contra la taxonomía recibiendo la ruta donde se encuentra la instancia XBRL.

Methods inherited from class es.inteco.xbrl.lenlocpenloc.validator.XBRLValidator
`validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### validate

    public ValidateResult validate(java.lang.String documentPath)
                            throws XBRLValidatorException

  Description copied from interface: `IXBRLValidator`
  Valida el documento XBRL contra la taxonomía recibiendo la ruta donde se encuentra la instancia XBRL.

  Specified by:
    `validate` in interface `IXBRLValidator`
  Overrides:
    `validate` in class `XBRLValidator`
  Parameters:
    `documentPath` - ruta del documento XBRL que se quiere validar
  Returns:
    Objeto de tipo ValidateResult. Recoge los mensajes de validación (si existen) y un indicador de si el documento XBRL se considera válido
  Throws:
    `XBRLValidatorException` - si se produce un error durante el proceso de validación.

### validate

    public ValidateResult validate(byte[] inputDocument)
                            throws XBRLValidatorException

  Description copied from interface: `IXBRLValidator`
  Valida el documento XBRL contra la taxonomía sin procesar el resultado.

  Specified by:
    `validate` in interface `IXBRLValidator`
  Overrides:
    `validate` in class `XBRLValidator`
  Parameters:
    `inputDocument` - Array de bytes con el documento XBRL que se quiere validar
  Returns:
    Objeto de tipo ValidateResult. Recoge los mensajes de validación (si existen) y un indicador de si el documento XBRL se considera válido
  Throws:
    `XBRLValidatorException` - si se produce un error durante el proceso de validación.

### createInstance

    public static IXBRLValidator createInstance()

  Devuelve una instancia de la propia clase.

  Returns:
    Objeto del tipo IXBRLValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD